/* Main style for the blog pages */

html {
  --spoiler-fade-time: 0.4s;
  --spoiler-info-fade-time: calc(var(--spoiler-fade-time) / 4);
}

hr {
  border: none;
  border-top: 4px dotted var(--font-primary);

  margin: 16px 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Goudy Bookletter 1911", serif;
  margin: 0;
}

h1::before {
  content: "# ";
  color: var(--bg-secondary-red);
}

h2::before {
  content: "## ";
  color: var(--bg-secondary-red);
}

h3::before {
  content: "### ";
  color: var(--bg-secondary-red);
}

h4::before {
  content: "#### ";
  color: var(--bg-secondary-red);
}

h5::before {
  content: "##### ";
  color: var(--bg-secondary-red);
}

h6::before {
  content: "###### ";
  color: var(--bg-secondary-red);
}

main {
  background-color: var(--bg-primary);
  width: 960px;

  margin-bottom: 64px;
}

p {
  text-align: justify;
}

img {
  display: block;
  margin: 16px auto 8px auto;
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

blockquote {
  text-align: justify;

  width: 75%;

  margin: 0;
  padding: 0.5em 10px;

  color: var(--font-secondary);
}

q {
  quotes: "\201C" "\201D";
}

ul {
  margin: 0;
}

#wrapper {
  display: flex;
  justify-content: center;
}

#article-header {
  border: 4px solid var(--font-primary);

  padding: 16px 32px;
  margin-bottom: 16px;
}

#heading-by {
  font-size: 0.8em;
  color: var(--font-secondary);
}

#metadata {
  display: flex;
  flex-direction: row;
}

#reading-time {
  display: inline;

  margin: 0;
}

#reading-time::before {
  content: "•";
  padding: 0 1ch;
}

.characteristic {
  margin: 0;
}

.characteristic span {
  color: var(--font-secondary);
}

.tags {
  display: inline-flex;
  flex-direction: row;
  list-style: none;
  gap: 1ch;

  margin: 0;
  padding: 0;
}

.tags::before {
  content: "•";
  padding-left: 1ch;
}

.subtitle,
figcaption {
  margin-top: 0;
  margin-bottom: 32px;
  text-align: center;

  color: var(--font-secondary);
}

.footnote {
  text-decoration: none;
  margin: 0;

  color: var(--bg-secondary-blue);
}

.footnote:hover {
  text-decoration: underline;
}

.footnote:visited {
  color: var(--bg-secondary-blue);
}

.spoiler-img {
  position: relative;
  text-align: center;
}

.spoiler-img img {
  filter: blur(16px);
  transition: 0.2s;
}

.spoiler-img img:hover {
  cursor: pointer;
  filter: none;
  transition: var(--spoiler-fade-time);
}

.spoiler-img img:hover ~ .spoiler-img-info {
  visibility: hidden;
  opacity: 0;
  transition:
    visibility 0s var(--spoiler-info-fade-time),
    opacity var(--spoiler-info-fade-time) linear;
}

.spoiler-img-info {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);

  font-size: 12pt;

  color: var(--font-primary);
  background-color: rgb(from var(--bg-primary) r g b / 50%);

  padding: 8px 32px;

  border-radius: 8px;

  visibility: visible;
  opacity: 1;

  transition:
    visibility 0s,
    opacity var(--spoiler-info-fade-time) linear;
}

.img-row div {
  display: flex;
  flex-direction: row;

  justify-content: space-evenly;
}

.img-row div img {
  display: inline;
  margin: 0;
}

.img-row figcaption.big {
  display: block;
}

.img-row figcaption.small {
  display: none;
}

.pronounce {
  display: inline;
}

.pronounce i {
  text-decoration: underline dotted;
}

.pronounce button {
  display: inline-block;
  background-color: var(--bg-primary);

  border: none;
  background: none;

  vertical-align: middle;
}

.pronounce button:hover {
  cursor: pointer;
}

.pronounce img {
  display: block;
  margin: 0;

  width: 24px;
}

.p-with-aside {
  position: relative;
}

.p-with-aside aside {
  top: 0;
  left: 952px;

  border-left: 8px solid var(--font-disabled);
  padding: 4px 16px;

  background: var(--bg-secondary);
  color: var(--font-secondary);
}

.citation {
  border-left: 8px solid var(--font-disabled);
  padding: 0.5em 10px;
  quotes: "\201C" "\201D";
}

.citation:before {
  content: open-quote;

  font-size: 4em;
  line-height: 0.1em;
  margin-right: 0.1em;
  vertical-align: -0.4em;
}

.quote-author {
  width: 100%;
  text-align: right;

  margin: 16px 0 0 0;
  color: var(--font-disabled);
}

.song-meta {
  background-color: var(--bg-secondary);
  padding: 8px 16px;

  margin-top: 32px;
  margin-bottom: 16px;

  width: 100%;
  box-sizing: border-box;
}

.song-meta-title {
  font-size: 1.6em;
  font-family: "Goudy Bookletter 1911", serif;

  margin: 0;
}

.song-meta-en-title {
  font-size: 1.2em;
  font-family: "Goudy Bookletter 1911", serif;
  color: var(--font-secondary);

  margin-top: 0;
}

.song-meta-artist {
  margin-top: 0;
}

.song-meta-small {
  color: var(--font-secondary);
  font-size: 1em;
  margin: 0;
}

.song-meta-personnel {
  margin-top: 16px;
}

.song-meta-personnel:hover {
  cursor: pointer;
}

.song-meta-personnel ul {
  margin: 0;
}

.song-meta-personnel ul:hover {
  cursor: auto;
}

.lyric-box {
  display: grid;
  grid-template-columns: 1fr 10fr 10fr;
  grid-gap: 8px;

  padding: 4px 16px 4px 8px;
}

.lyric-box:hover,
.lyric-box:focus,
.lyric-box:active {
  background-color: var(--bg-secondary);
}

.lyric-box:hover .lyric-time,
.lyric-box:focus .lyric-time,
.lyric-box:active .lyric-time {
  color: var(--font-primary);
}

.lyric-time {
  color: var(--font-disabled);

  margin: 0;
  grid-column: 1;

  padding-right: 8px;
  border-right: 4px solid var(--font-disabled);
}

.lyric-text {
  margin: 0;
  grid-column: 2;

  padding-right: 16px;
}

.lyric-og {
  color: var(--font-secondary);
  text-align: right;
  text-align-last: right;

  margin: 0;
  grid-column: 3;
}

.lyric-note {
  color: var(--font-secondary);
  text-align: center;
}

.lyric-tl-note {
  border: 4px solid var(--bg-secondary);
  border-radius: 8px;

  margin: 16px 0;
  padding: 8px 16px;
}

.lyric-tl-note::before {
  content: "T/L note: ";

  color: var(--font-secondary);
  font-style: italic;
}

.lyric-inline-note {
  position: relative;

  font-family: sans-serif;
  font-size: 1em;

  background: none;
  border: none;
  margin: 0;
  padding: 0;

  background-color: var(--bg-secondary);
  text-decoration: underline dotted;
}

.lyric-inline-note:hover {
  cursor: pointer;
}

.lyric-inline-note button {
  display: none;
}

.lyric-inline-note div {
  content: attr(data-title);

  text-align: center;

  width: 95%;
  box-sizing: border-box;

  white-space: pre-line;
  word-wrap: break-word;

  background-color: var(--bg-primary);
  color: var(--text-primary);

  border: 4px solid var(--bg-secondary);
  padding: 8px 16px;
}

/* Phone styles */
@media screen and (width < 960px) {
  .img-row div {
    flex-direction: column;
    align-items: center;
    gap: 16px;
  }

  .img-row figcaption.big {
    display: none;
  }

  .img-row figcaption.small {
    display: block;
  }
}

@media screen and (width < 768px) {
  .lyric-box {
    display: flex;
    flex-direction: column;
    gap: 0;

    margin-bottom: 8px;

    border-left: 4px solid var(--font-disabled);
  }

  .lyric-time {
    border-right: none;
  }

  .lyric-text {
    padding: 0;
  }

  .lyric-og {
    text-align: left;
    text-align-last: left;
  }

  .lyric-inline-note button {
    position: absolute;
    display: inline-block;
    width: 100%;
    height: 100%;
    left: -0%;

    background: none;
    border: none;
  }
}

@media (hover: hover) {
  /* it's tough in the webdev mines */
  .lyric-inline-note:hover::after,
  .lyric-inline-note:focus::after,
  .lyric-inline-note:active::after {
    content: attr(data-title);
    display: block;

    position: absolute;
    left: 0;
    top: 32px;

    text-align: center;

    width: 384px;
    box-sizing: content-box;

    z-index: 1;
    white-space: pre-line;
    word-wrap: break-word;

    background-color: var(--bg-primary);
    color: var(--text-primary);

    border: 4px solid var(--bg-secondary);
    padding: 8px 16px;
  }
}
